# Package org.eclipse.net4j.protocol

The Net4j transport layer concepts for dealing with protocols.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  IProtocol<INFRA_STRUCTURE> | A `typed` `buffer handler` for a `channel`.
  IProtocol2<INFRA_STRUCTURE> | A `versioned` `protocol`.
  IProtocolProvider | Provides `protocol` instances for given types.

- Exception Summary
  Exception | Description
  --- | ---
  ProtocolVersionException | An exception that indicates mismatch between the versions of two protocol peer implementations.

## Package org.eclipse.net4j.protocol Description

The Net4j transport layer concepts for dealing with protocols.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html